/*
 * Copyright (C) 2005 - 2007 JasperSoft Corporation.  All rights reserved.
 * http://www.jaspersoft.com.
 *
 * Unless you have purchased a commercial license agreement from JasperSoft,
 * the following license terms apply:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as published by
 * the Free Software Foundation.
 *
 * This program is distributed WITHOUT ANY WARRANTY; and without the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see http://www.gnu.org/licenses/gpl.txt
 * or write to:
 *
 * Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330,
 * Boston, MA  USA  02111-1307
 */
package com.jaspersoft.jasperserver.export.modules.scheduling.beans;

import java.util.Map;

import com.jaspersoft.jasperserver.api.engine.scheduling.domain.ReportJobSource;

/**
 * @author tkavanagh
 * @version $Id: ReportJobSourceBean.java 8408 2007-05-29 23:29:12Z melih $
 */
public class ReportJobSourceBean {

	private String reportUnitURI;
	private Map parameters;

	public void copyFrom(ReportJobSource src) {
		setReportUnitURI(src.getReportUnitURI());
		setParameters(src.getParametersMap());
	}

	public void copyTo(ReportJobSource src) {
		src.setReportUnitURI(getReportUnitURI());
		src.setParametersMap(getParameters());
	}

	public String getReportUnitURI() {
		return reportUnitURI;
	}
	
	public void setReportUnitURI(String reportUnitURI) {
		this.reportUnitURI = reportUnitURI;
	}

	public Map getParameters() {
		return parameters;
	}
	
	public void setParameters(Map parameters) {
		this.parameters = parameters;
	}

}
